cancel
Showing results for 
Search instead for 
Did you mean: 

Thompson Gateway ERR_SSL_VERSION_OR_CIPHER_MISMATCH

B0n3s
Newbie
Posts: 1
Registered: ‎13-03-2022

Thompson Gateway ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Getting an SSL error (see attached) when attempting to configure my router using modern browser.

I can access with IE so do I need as firmware update, for modern browser support?

Thanks

 

Product:

Thomson Gateway
Product Name: TG585 v8
Software Release: 8.2.7.8

1 REPLY 1
MisterW
Superuser
Superuser
Posts: 15,295
Thanks: 5,865
Fixes: 421
Registered: ‎30-07-2007

Re: Thompson Gateway ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Your browser is trying to tell you that your router does not support the current TLS 1.2 protocol. Versions 1.0 & 1.1 had some security issues and most modern browsers dont support them by default. Your router is quite old and Its VERY unlikey that there is a firmware update that enables TLS 1.2 support.

Options:

1) Get a more modern router that does support TLS 1.2

2) Accept the security issue and allow TLS 1.1 ( and possibly 1.0 ) in your browser if possible https://knowledge.digicert.com/generalinformation/INFO3297.html

 

Superusers are not staff, but they do have a direct line of communication into the business in order to raise issues, concerns and feedback from the community.